umbrello: UMLUniqueConstraintDialog Class Reference

umbrello 2.38.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Public Member Functions | Protected Member Functions | Private Attributes | List of all members
UMLUniqueConstraintDialog Class Reference

A dialog page to display unique constraint properties. More...

`#include <umluniqueconstraintdialog.h>`

Inheritance diagram for UMLUniqueConstraintDialog:

## Public Slots
void | slotResetWidgetState ()
void | slotAddAttribute ()
void | slotDeleteAttribute ()

## Public Member Functions
| UMLUniqueConstraintDialog (QWidget *parent, UMLUniqueConstraint *pUniqueConstraint)
| ~UMLUniqueConstraintDialog ()
Public Member Functions inherited from SinglePageDialogBase
| SinglePageDialogBase (QWidget *parent, bool withApplyButton=false, bool withSearchButton=false)
virtual | ~SinglePageDialogBase ()
void | setCaption (const QString &caption)
QWidget * | mainWidget ()
void | setMainWidget (QWidget *widget)
void | setButtonText (ButtonCode code, const QString &text)

## Protected Member Functions
void | setupDialog ()
virtual bool | apply ()
Protected Member Functions inherited from SinglePageDialogBase
void | enableButtonOk (bool enable)
virtual bool | validate ()

## Private Attributes
UMLUniqueConstraint * | m_pUniqueConstraint
QGroupBox * | m_pAttributeListGB
QLabel * | m_pNameL
QLineEdit * | m_pNameLE
QListWidget * | m_pAttributeListLW
KComboBox * | m_pAttributeCB
QPushButton * | m_pAddPB
QPushButton * | m_pRemovePB
UMLEntityAttributeList | m_pEntityAttributeList
UMLEntityAttributeList | m_pConstraintAttributeList

## Additional Inherited Members
Public Types inherited from SinglePageDialogBase
enum | ButtonCode { Cancel = 0 , Ok = 1 , Apply = 2 }
Protected Slots inherited from SinglePageDialogBase
void | slotApply ()
void | slotOk ()
void | slotCancel ()
void | slotClicked (QAbstractButton *)
Protected Attributes inherited from SinglePageDialogBase
QDialogButtonBox * | m_buttonBox
QWidget * | m_mainWidget

## Detailed Description

A dialog page to display unique constraint properties.

A dialog page to display unique constraint properties.

Author
  Sharan Rao Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ UMLUniqueConstraintDialog()

UMLUniqueConstraintDialog::UMLUniqueConstraintDialog | ( | QWidget * | parent,
|  | UMLUniqueConstraint * | pUniqueConstraint
| ) |  |

Sets up the UMLUniqueConstraintDialog.

Parameters

  parent | The parent to the UMLUniqueConstraintDialog.
  pUniqueConstraint | The Unique Constraint to show the properties of.

## ◆ ~UMLUniqueConstraintDialog()

UMLUniqueConstraintDialog::~UMLUniqueConstraintDialog | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool UMLUniqueConstraintDialog::apply | ( |  | ) |
| protectedvirtual

Apply changes.

Reimplemented from SinglePageDialogBase.

## ◆ setupDialog()

void UMLUniqueConstraintDialog::setupDialog | ( |  | ) |
| protected

Sets up the dialog.

## ◆ slotAddAttribute

void UMLUniqueConstraintDialog::slotAddAttribute | ( |  | ) |
| slot

Adds attribute to the list.

## ◆ slotDeleteAttribute

void UMLUniqueConstraintDialog::slotDeleteAttribute | ( |  | ) |
| slot

Deletes an attribute from the list.

## ◆ slotResetWidgetState

void UMLUniqueConstraintDialog::slotResetWidgetState | ( |  | ) |
| slot

Enable or Disable the widgets.

## Member Data Documentation

## ◆ m_pAddPB

QPushButton* UMLUniqueConstraintDialog::m_pAddPB
| private

## ◆ m_pAttributeCB

KComboBox* UMLUniqueConstraintDialog::m_pAttributeCB
| private

## ◆ m_pAttributeListGB

QGroupBox* UMLUniqueConstraintDialog::m_pAttributeListGB
| private

## ◆ m_pAttributeListLW

QListWidget* UMLUniqueConstraintDialog::m_pAttributeListLW
| private

## ◆ m_pConstraintAttributeList

UMLEntityAttributeList UMLUniqueConstraintDialog::m_pConstraintAttributeList
| private

## ◆ m_pEntityAttributeList

UMLEntityAttributeList UMLUniqueConstraintDialog::m_pEntityAttributeList
| private

## ◆ m_pNameL

QLabel* UMLUniqueConstraintDialog::m_pNameL
| private

## ◆ m_pNameLE

QLineEdit* UMLUniqueConstraintDialog::m_pNameLE
| private

## ◆ m_pRemovePB

QPushButton * UMLUniqueConstraintDialog::m_pRemovePB
| private

## ◆ m_pUniqueConstraint

UMLUniqueConstraint* UMLUniqueConstraintDialog::m_pUniqueConstraint
| private

The documentation for this class was generated from the following files:

- umbrello/dialogs/umluniqueconstraintdialog.h
- umbrello/dialogs/umluniqueconstraintdialog.cpp